jQuery(document).ready(function($){
	
	$('#add_channel').click(function(){
		var el = $('.chanel_select_block .single_picker').first().clone();
		$('input[type="text"]', el ).val('');
		$('select', el ).val(-1);
		$('.chanel_select_block .single_picker').last().after( el );
	})

	$('body').on('click', '.remove_row', function(){
		var pnt = $(this).parents('.single_picker');;
		pnt.replaceWith('');
	})
	
	$('select[name="top_category"]').change(function(){
		var this_val = $(this).val();
		$('.cat_picker select').val( this_val );
	})

	jQuery('.new_picker .btn').click(function(){
		jQuery('.new_picker .btn').removeClass('btn-success');
		jQuery('.new_picker .btn').addClass('btn-primary');
		jQuery(this).removeClass('btn-primary');
		jQuery(this).addClass('btn-success');
		
		
		
		jQuery('.tabs_content').hide();
		var data_id = $(this).attr('data-id');
		jQuery('.set_navi .active').removeClass('active');
		jQuery('.tab_'+data_id).fadeIn();
		
		
		
	})
	
	$('.nav-link').click(function(){
		$('.nav-link').removeClass('active');
		$(this).addClass('active');

		jQuery('.tabs_content').hide();
		var data_id = $(this).attr('data-id');
		jQuery('.set_navi .active').removeClass('active');
		jQuery('.tab_'+data_id).fadeIn();
	});

	$( ".datepicker" ).datepicker();
	$( ".datepicker" ).datepicker( "option", "dateFormat", 'yy/mm/dd' );
 
	$('#check_all').change(function(){
		if( $(this).attr('checked') ){
			$('.item_check').attr('checked', true );				
		}else{
			$('.item_check').attr('checked', false );		
			
		}
		
	})
	
	
	$('.add_products').click(function(){
		
		var full_cont = [];
		
		$('.item_check:checked').each(function(){
			var parent = $(this).parents('tr');
			full_cont.push( $('.cont_block', parent).html() );
		})
		
		
		var out_data = '<div class="video_block"><iframe width="560" height="315" src="//www.youtube.com/embed/'+$('#video_id').val()+'" frameborder="0" allowfullscreen=""></iframe></div><div class="post_content_bl">'+$('#video_descr').val()+'</div><div class="prod_block">'+full_cont.join('')+'</div>';
		
		console.log( out_data );
	
		if( tinyMCE.activeEditor != null ){
			tinyMCE.activeEditor.setContent( out_data );
		}else{
			$('#content').val( out_data );
		}
	
		
	})
	
  
}); // main jquery container
